Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.fornitore.vo.fornitore
Class FornitoreResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.fornitore.vo.fornitore.FornitoreResponse

    public class FornitoreResponse

extends java.lang.Object

Field Summary
`private java.lang.String` | `capitaleSociale` Valore del capitale sociale, elemento facoltativo.
`private java.lang.String` | `codiceDUNS` Codice DUNS.
`private java.lang.String` | `codISTAComuneSede` Codice ISTAT del comune in cui risiede la sede, elemento facoltativo.
`private java.lang.String` | `cognomeReferente` Cognome del referente, elemento facoltativo.
`private java.lang.String` | `indirizzoPostaElettronica` Indirizzo di posta elettronica di riferimento, elemento facoltativo.
`private java.lang.String` | `indirizzoSede` Indirizzo della sede, elemento obbligatorio.
`private java.lang.String` | `indirizzoSedePugliese` Indirizzo dell'eventuale sede pugliese, elemento facoltativo.
`private java.lang.String` | `numeroFax` Numero del fax, elemento facoltativo.
`private java.lang.String` | `numeroRegistroDitte` Numero del registro delle ditte, elemento facoltativo.
`private java.lang.String` | `numeroRegistroImprese` Numero del registro delle imprese, elemento facoltativo.
`private java.lang.String` | `numeroTelefonoFornitore` Numero di telefono del fornitore, elemento facoltativo.
`private java.lang.String` | `numeroTelefonoReferente` Numero di telefono del referente del fornitore, elemento facoltativo.
`private java.lang.String` | `partitaIVA` Partita IVA, elemento obbligatorio.
`private java.lang.String` | `ragioneSociale` Ragione sociale, elemento obbligatorio.
`private java.lang.String` | `siglaStatoUE` Sigla dello Stato membro dell’UE, elemento obbligatorio.
`private java.lang.String` | `sitoInternet` URL del sito internet di riferimento, elemento facoltativo.
`private java.lang.String` | `tipoAttivita` Specifica il tipo di attività, elemento facoltativo.
`private java.lang.String` | `tipoSede` Specifica il tipo di sede, elemento facoltativo.
`private java.lang.String` | `volumeAffari` Valore del volume d'affari, elemento facoltativo.

Constructor Summary
`FornitoreResponse()`

Method Summary
`java.lang.String` | `getCapitaleSociale()`
`java.lang.String` | `getCodiceDUNS()`
`java.lang.String` | `getCodISTAComuneSede()`
`java.lang.String` | `getCognomeReferente()`
`java.lang.String` | `getIndirizzoPostaElettronica()`
`java.lang.String` | `getIndirizzoSede()`
`java.lang.String` | `getIndirizzoSedePugliese()`
`java.lang.String` | `getNumeroFax()`
`java.lang.String` | `getNumeroRegistroDitte()`
`java.lang.String` | `getNumeroRegistroImprese()`
`java.lang.String` | `getNumeroTelefonoFornitore()`
`java.lang.String` | `getNumeroTelefonoReferente()`
`java.lang.String` | `getPartitaIVA()`
`java.lang.String` | `getRagioneSociale()`
`java.lang.String` | `getSiglaStatoUE()`
`java.lang.String` | `getSitoInternet()`
`java.lang.String` | `getTipoAttivita()`
`java.lang.String` | `getTipoSede()`
`java.lang.String` | `getVolumeAffari()`
`void` | `setCapitaleSociale(java.lang.String capitaleSociale)`
`void` | `setCodiceDUNS(java.lang.String codiceDUNS)`
`void` | `setCodISTAComuneSede(java.lang.String codISTAComuneSede)`
`void` | `setCognomeReferente(java.lang.String cognomeReferente)`
`void` | `setIndirizzoPostaElettronica(java.lang.String indirizzoPostaElettronica)`
`void` | `setIndirizzoSede(java.lang.String indirizzoSede)`
`void` | `setIndirizzoSedePugliese(java.lang.String indirizzoSedePugliese)`
`void` | `setNumeroFax(java.lang.String numeroFax)`
`void` | `setNumeroRegistroDitte(java.lang.String numeroRegistroDitte)`
`void` | `setNumeroRegistroImprese(java.lang.String numeroRegistroImprese)`
`void` | `setNumeroTelefonoFornitore(java.lang.String numeroTelefonoFornitore)`
`void` | `setNumeroTelefonoReferente(java.lang.String numeroTelefonoReferente)`
`void` | `setPartitaIVA(java.lang.String partitaIVA)`
`void` | `setRagioneSociale(java.lang.String ragioneSociale)`
`void` | `setSiglaStatoUE(java.lang.String siglaStatoUE)`
`void` | `setSitoInternet(java.lang.String sitoInternet)`
`void` | `setTipoAttivita(java.lang.String tipoAttivita)`
`void` | `setTipoSede(java.lang.String tipoSede)`
`void` | `setVolumeAffari(java.lang.String volumeAffari)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### capitaleSociale

    private java.lang.String capitaleSociale

  Valore del capitale sociale, elemento facoltativo.

### codiceDUNS

    private java.lang.String codiceDUNS

  Codice DUNS.

### codISTAComuneSede

    private java.lang.String codISTAComuneSede

  Codice ISTAT del comune in cui risiede la sede, elemento facoltativo.

### cognomeReferente

    private java.lang.String cognomeReferente

  Cognome del referente, elemento facoltativo.

### indirizzoPostaElettronica

    private java.lang.String indirizzoPostaElettronica

  Indirizzo di posta elettronica di riferimento, elemento facoltativo.

### indirizzoSede

    private java.lang.String indirizzoSede

  Indirizzo della sede, elemento obbligatorio.

### indirizzoSedePugliese

    private java.lang.String indirizzoSedePugliese

  Indirizzo dell'eventuale sede pugliese, elemento facoltativo.

### numeroFax

    private java.lang.String numeroFax

  Numero del fax, elemento facoltativo.

### numeroRegistroDitte

    private java.lang.String numeroRegistroDitte

  Numero del registro delle ditte, elemento facoltativo.

### numeroRegistroImprese

    private java.lang.String numeroRegistroImprese

  Numero del registro delle imprese, elemento facoltativo.

### numeroTelefonoFornitore

    private java.lang.String numeroTelefonoFornitore

  Numero di telefono del fornitore, elemento facoltativo.

### numeroTelefonoReferente

    private java.lang.String numeroTelefonoReferente

  Numero di telefono del referente del fornitore, elemento facoltativo.

### partitaIVA

    private java.lang.String partitaIVA

  Partita IVA, elemento obbligatorio.

### ragioneSociale

    private java.lang.String ragioneSociale

  Ragione sociale, elemento obbligatorio.

### siglaStatoUE

    private java.lang.String siglaStatoUE

  Sigla dello Stato membro dell’UE, elemento obbligatorio.

### sitoInternet

    private java.lang.String sitoInternet

  URL del sito internet di riferimento, elemento facoltativo.

### tipoAttivita

    private java.lang.String tipoAttivita

  Specifica il tipo di attività, elemento facoltativo. Può assumere uno dei seguenti valori:
  - A - AGRICOL. CACCIA E SILVICOLTURA
  - A 01 - AGRICOL. CACCIA E REL. SERVIZI
  - A 011 - COLTIV. AGRICOLE ORTIC. FLORIC
  - B - PESCA E SERV. CONNESSI
  - C - ESTRAZIONE DI MINERALI
  - CA - ESTRAZIONE DI MINERALI ENERGET.
  - CA10 - ESTR. DI CARBON FOSS E LIGNITE
  - CA101 - ESTR. E AGGLOM. DI CARBON FOSS
  - D - ATTIVITA' MANIFATTURIERE
  - F - COSTRUZIONI
  - G - COMMERC. ALL'INGROS. E DETTAG.
  - I - TRASPORTI MAGAZZ. COMUNICAZIONI
  - N - SANITA' E ALTRI SERVIZ SOCIALI
  - O - SERV. PUBBLICI SOC. E PERSON.

### tipoSede

    private java.lang.String tipoSede

  Specifica il tipo di sede, elemento facoltativo. Può assumere uno dei seguenti valori:
  - 1 - DEPOSITARIO
  - 2 - UFFICIO DI RAPPRESENTANZA
  - 3 - AGENTE ESCLUSIVISTA

### volumeAffari

    private java.lang.String volumeAffari

  Valore del volume d'affari, elemento facoltativo.

Constructor Detail

### FornitoreResponse

    public FornitoreResponse()

Method Detail

### getCapitaleSociale

    public java.lang.String getCapitaleSociale()

### getCodiceDUNS

    public java.lang.String getCodiceDUNS()

### getCodISTAComuneSede

    public java.lang.String getCodISTAComuneSede()

### getCognomeReferente

    public java.lang.String getCognomeReferente()

### getIndirizzoPostaElettronica

    public java.lang.String getIndirizzoPostaElettronica()

### getIndirizzoSede

    public java.lang.String getIndirizzoSede()

### getIndirizzoSedePugliese

    public java.lang.String getIndirizzoSedePugliese()

### getNumeroFax

    public java.lang.String getNumeroFax()

### getNumeroRegistroDitte

    public java.lang.String getNumeroRegistroDitte()

### getNumeroRegistroImprese

    public java.lang.String getNumeroRegistroImprese()

### getNumeroTelefonoFornitore

    public java.lang.String getNumeroTelefonoFornitore()

### getNumeroTelefonoReferente

    public java.lang.String getNumeroTelefonoReferente()

### getPartitaIVA

    public java.lang.String getPartitaIVA()

### getRagioneSociale

    public java.lang.String getRagioneSociale()

### getSiglaStatoUE

    public java.lang.String getSiglaStatoUE()

### getSitoInternet

    public java.lang.String getSitoInternet()

### getTipoAttivita

    public java.lang.String getTipoAttivita()

### getTipoSede

    public java.lang.String getTipoSede()

### getVolumeAffari

    public java.lang.String getVolumeAffari()

### setCapitaleSociale

    public void setCapitaleSociale(java.lang.String capitaleSociale)

### setCodiceDUNS

    public void setCodiceDUNS(java.lang.String codiceDUNS)

### setCodISTAComuneSede

    public void setCodISTAComuneSede(java.lang.String codISTAComuneSede)

### setCognomeReferente

    public void setCognomeReferente(java.lang.String cognomeReferente)

### setIndirizzoPostaElettronica

    public void setIndirizzoPostaElettronica(java.lang.String indirizzoPostaElettronica)

### setIndirizzoSede

    public void setIndirizzoSede(java.lang.String indirizzoSede)

### setIndirizzoSedePugliese

    public void setIndirizzoSedePugliese(java.lang.String indirizzoSedePugliese)

### setNumeroFax

    public void setNumeroFax(java.lang.String numeroFax)

### setNumeroRegistroDitte

    public void setNumeroRegistroDitte(java.lang.String numeroRegistroDitte)

### setNumeroRegistroImprese

    public void setNumeroRegistroImprese(java.lang.String numeroRegistroImprese)

### setNumeroTelefonoFornitore

    public void setNumeroTelefonoFornitore(java.lang.String numeroTelefonoFornitore)

### setNumeroTelefonoReferente

    public void setNumeroTelefonoReferente(java.lang.String numeroTelefonoReferente)

### setPartitaIVA

    public void setPartitaIVA(java.lang.String partitaIVA)

### setRagioneSociale

    public void setRagioneSociale(java.lang.String ragioneSociale)

### setSiglaStatoUE

    public void setSiglaStatoUE(java.lang.String siglaStatoUE)

### setSitoInternet

    public void setSitoInternet(java.lang.String sitoInternet)

### setTipoAttivita

    public void setTipoAttivita(java.lang.String tipoAttivita)

### setTipoSede

    public void setTipoSede(java.lang.String tipoSede)

### setVolumeAffari

    public void setVolumeAffari(java.lang.String volumeAffari)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD